Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] common: fix exit status of uname wrapper
@ 2021-01-25  1:58 sgn
  2021-01-25  2:00 ` [PR PATCH] [Merged]: " sgn
  0 siblings, 1 reply; 2+ messages in thread
From: sgn @ 2021-01-25  1:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 417 bytes --]

There is a new pull request by sgn against master on the void-packages repository

https://github.com/sgn/void-packages common-wrapper-uname-fix
https://github.com/void-linux/void-packages/pull/28210

common: fix exit status of uname wrapper
On my attemp to fix i686 build on Travis long ago, I forgot to correct exit status.

A patch file from https://github.com/void-linux/void-packages/pull/28210.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-common-wrapper-uname-fix-28210.patch --]
[-- Type: text/x-diff, Size: 833 bytes --]

From 89baf15a5e4156ff88e25a20feb4f99028b6c67e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C4=90o=C3=A0n=20Tr=E1=BA=A7n=20C=C3=B4ng=20Danh?=
 <congdanhqx@gmail.com>
Date: Mon, 25 Jan 2021 08:56:55 +0700
Subject: [PATCH] common: fix exit status of uname wrapper

---
 common/wrappers/uname.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/common/wrappers/uname.sh b/common/wrappers/uname.sh
index 723e3c884a4..4edca2548a6 100644
--- a/common/wrappers/uname.sh
+++ b/common/wrappers/uname.sh
@@ -1,11 +1,11 @@
 #!/bin/sh
 
 uname=$(/usr/bin/uname $@)
+rv=$?
 uname_m=$(/usr/bin/uname -m)
 arch=${XBPS_ARCH%-musl}
 # if XBPS_ARCH was reseted by `env -i` use original `/usr/bin/uname -m`
 : ${arch:=$uname_m}
-rv=$?
 echo "$uname" |
 	sed "s/\(^\| \)$(/usr/bin/uname -n)\($\| \)/\1void\2/" |
 	sed "s/$uname_m/$arch/"

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PR PATCH] [Merged]: common: fix exit status of uname wrapper
  2021-01-25  1:58 [PR PATCH] common: fix exit status of uname wrapper sgn
@ 2021-01-25  2:00 ` sgn
  0 siblings, 0 replies; 2+ messages in thread
From: sgn @ 2021-01-25  2:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 257 bytes --]

There's a merged pull request on the void-packages repository

common: fix exit status of uname wrapper
https://github.com/void-linux/void-packages/pull/28210

Description:
On my attemp to fix i686 build on Travis long ago, I forgot to correct exit status.

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-01-25  2:00 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-01-25  1:58 [PR PATCH] common: fix exit status of uname wrapper sgn
2021-01-25  2:00 ` [PR PATCH] [Merged]: " sgn

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).